/**********************************************************************/
/** This file computes parametric CF estimates of the treatment      **/
/**    effects. It uses the routines in CF-programs.do.              **/
/**                                                                  **/
/** Monica Costa Dias                                                **/
/** September 2008                                                   **/
/**********************************************************************/


clear
set more 1
set mem 100m
do CF-programs.do


****************************************************
** Preliminary common information                 **
** change options below to obtain other estimates **
****************************************************

global N=2000                             /* nr observations per replication                                          */
global dtafile = "MCdta-corr.dta"         /* choose datafile: with or without correlation between u and v             */
*global dtafile = "MCdta-nocorr.dta"
global d = "d_eS"                         /* choose treatment indicator: economy with or without subsidized education */
*global d = "d_noS"
global s = "s_eS"                         /* choose correspondent test score                                          */
*global s = "s_noS"
global CFvar = "x z"                      /* choose set of selection variables (some may need to be created)          */


****************************************************
** Run Monte-Carlo experiment and display results **
****************************************************

MCCF
sum

