/**********************************************************************/
/** This file computes LIV estimates of the treatment effects. It    **/
/**    uses the routines in LIV-programs.do                          **/
/**                                                                  **/
/** Monica Costa Dias                                                **/
/** September 2008                                                   **/
/**********************************************************************/

clear
set more 1
set mem 500m
do LIV-programs.do



****************************************************
** Preliminary common information                 **
** change options below to obtain other estimates **
****************************************************

global N=2000                          /* nr observations per replication                                          */
global h = 0.4                         /* bandwidth                                                                */
global step = 0.01                     /* step to construct grid in propensity score, p                            */

global dtafile = "MCdta-corr.dta"      /* choose datafile: with or without correlation between u and v             */
*global dtafile = "MCdta-nocorr.dta"
global d = "d_eS"                      /* choose treatment indicator: economy with or without subsidized education */
*global d = "d_noS"
global IVvar = "z"                     /* choose instruments (according to the case)                               */
*global IVvar = "s_eS"
*global IVvar = "s_noS"



****************************************************
** Run Monte-Carlo experiment and display results **
****************************************************

MCLIV
sum
