/**********************************************************************/
/** This file computes PS matching estimates of the treatment        **/
/**    effects. It uses the routines in matching-programs.do.        **/
/**                                                                  **/
/** Monica Costa Dias                                                **/
/** September 2008                                                   **/
/**********************************************************************/

clear
set more 1
set mem 500m
do matching-programs.do



****************************************************
** Preliminary common information                 **
** change options below to obtain other estimates **
****************************************************

global N=2000                           /* nr observations per replication                                          */
global h = 0.05                         /* bandwidth                                                                */

global dtafile = "MCdta-corr.dta"       /* choose datafile: with or without correlation between u and v             */
*global dtafile = "MCdta-nocorr.dta"
global d = "d_eS"                       /* choose treatment indicator: economy with or without subsidized education */
*global d = "d_noS"
global matchX  = "x"                    /* choose matching variables                                                */
*global matchX = "x z s"
*global matchX = "x theta"
*global matchX = "x z s theta"
*global matchX = "x s theta"



****************************************************
** Run Monte-Carlo experiment and display results **
****************************************************

MCmatching
sum
